Skip to contents

# Unnest Tidy Bootstrap Tibble

Source: `R/bootstrap-unnest-tbl.R`
`bootstrap_unnest_tbl.Rd`

Unnest the data output from `tidy_bootstrap()`.

## Usage

    bootstrap_unnest_tbl(.data)

## Arguments

.data

  The data that is passed from the `tidy_bootstrap()` function.

## Value

A tibble

## Details

This function takes as input the output of the `tidy_bootstrap()` function and returns a two column tibble. The columns are `sim_number` and `y`

It looks for an attribute that comes from using `tidy_bootstrap()` so it will not work unless the data comes from that function.

## See also

Other Bootstrap: `bootstrap_density_augment()`, `bootstrap_p_augment()`, `bootstrap_p_vec()`, `bootstrap_q_augment()`, `bootstrap_q_vec()`, `bootstrap_stat_plot()`, `tidy_bootstrap()`

## Author

Steven P. Sanderson II, MPH

## Examples

    tb <- tidy_bootstrap(.x = mtcars$mpg)
    bootstrap_unnest_tbl(tb)
    #> # A tibble: 50,000 × 2
    #>    sim_number     y
    #>    <fct>      <dbl>
    #>  1 1           21.4
    #>  2 1           21
    #>  3 1           26
    #>  4 1           19.7
    #>  5 1           10.4
    #>  6 1           15.5
    #>  7 1           32.4
    #>  8 1           22.8
    #>  9 1           26
    #> 10 1           17.3
    #> # ℹ 49,990 more rows

    bootstrap_unnest_tbl(tb) |>
      tidy_distribution_summary_tbl(sim_number)
    #> # A tibble: 2,000 × 13
    #>    sim_number mean_val median_val std_val min_val max_val skewness kurtosis
    #>    <fct>         <dbl>      <dbl>   <dbl>   <dbl>   <dbl>    <dbl>    <dbl>
    #>  1 1              18.3       18.7    5.85    10.4    32.4  0.410       2.75
    #>  2 2              19.2       18.1    4.73    10.4    30.4  0.909       3.75
    #>  3 3              21.7       19.2    6.68    10.4    33.9  0.689       2.40
    #>  4 4              20.3       19.2    5.72    10.4    32.4  0.567       2.46
    #>  5 5              20.8       21.4    6.93    10.4    33.9  0.431       2.22
    #>  6 6              23.1       21.4    6.97    10.4    33.9  0.00625     1.68
    #>  7 7              23.1       21.4    5.94    10.4    33.9  0.119       2.74
    #>  8 8              19.5       21      5.84    10.4    33.9  0.349       2.83
    #>  9 9              20.1       18.1    6.71    10.4    33.9  0.887       2.75
    #> 10 10             19.6       19.2    5.04    10.4    33.9  0.732       3.84
    #> # ℹ 1,990 more rows
    #> # ℹ 5 more variables: range <dbl>, iqr <dbl>, variance <dbl>, ci_low <dbl>,
    #> #   ci_high <dbl>